from pydantic import BaseModel, StrictStr

from src.core.decorators import check_params


class DocumentListModel(BaseModel):
    app_name: StrictStr
    client_id: StrictStr


@check_params(DocumentListModel)
def documents_list(storage, params) -> dict:
    """
    List documents

    :param storage: Storage
    :return: dict
    """
    return storage.list_files(params)
