import os

from flask import Flask, request

from src.core.use_case import documents_use_case
from src.infra.storage.AzureStorage import AzureStorage
from src.infra.api.flask.middlewares import register_middlewares

app = Flask(__name__)

register_middlewares(app)


@app.route("/api/v1/documents/")
def documents_list():
    storage = AzureStorage(
        account_name=os.getenv("AZURE_STORAGE_ACCOUNT_NAME", ""),
        account_key=os.getenv("AZURE_STORAGE_ACCOUNT_KEY", ""),
    )
    params = request.args
    return documents_use_case.documents_list(storage=storage, params=params)
