from src.core.entity.ResponseTypes import ResponseTypes
from src.core.decorators import check_params
from src.core.use_case.documents_use_case import DocumentListModel
from src.core.entity.Documents import DocumentsType
from random import randint
from faker import Faker
fake = Faker()

class AzureStorage:
    def __init__(self, account_name, account_key):
	    self.account_name = account_name
	    self.account_key = account_key

    def put_file(self, container_name, file_path):
	    pass

    def download_file(self, container_name, file_path):
	    pass

    @check_params(DocumentListModel)
    def list_files(self, container_name):
	    return {
		'type': ResponseTypes.SUCCESS,
		'errors': [],
		'data': [
			{
				'id': id,
				'name': fake.file_name(),
				'type': DocumentsType.FILE.value if randint(0, 1) else DocumentsType.DIRECTORY.value,
				'public_url': fake.url() + fake.file_name(),
				'created_at': fake.date_time_this_year(),
				'parent_id': randint(1, 10) if randint(0, 1) else None,
			}
		for id in range(1, 10)],
	    }
